Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMagnify Class Reference

`#include <vtkImageMagnify.h>`

Inheritance diagram for vtkImageMagnify:

[legend]
Collaboration diagram for vtkImageMagnify:

[legend]
List of all members.

## Detailed Description

magnify an image by an integer value

Date:
  2002/01/22 15:32:56

Revision:
  1.33

vtkImageMagnify maps each pixel of the input onto a nxmx... region of the output. Location (0,0,...) remains in the same place. The magnification occurs via pixel replication, or if Interpolate is on, by bilinear interpolation.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (53%)
  - Martin, Ken (28%)
  - Lorensen, Bill (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageMagnify.cxx)`
  - .`h` (`/Imaging/vtkImageMagnify.h)`

Examples:
  vtkImageMagnify (Examples)

Tests:
  vtkImageMagnify (Tests)

Definition at line 51 of file vtkImageMagnify.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMagnificationFactors (int, int, int)
virtual void | SetMagnificationFactors (int[3])
virtual int * | GetMagnificationFactors ()
virtual void | GetMagnificationFactors (int &, int &, int &)
virtual void | GetMagnificationFactors (int[3])
virtual void | SetInterpolate (int)
virtual int | GetInterpolate ()
virtual void | InterpolateOn ()
virtual void | InterpolateOff ()
## Static Public Methods
vtkImageMagnify * | New ()
int | IsTypeOf (const char *type)
vtkImageMagnify * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMagnify ()
| ~vtkImageMagnify ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | MagnificationFactors [3]
int | Interpolate

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageMagnify::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 55 of file vtkImageMagnify.h.

## Constructor & Destructor Documentation

vtkImageMagnify::vtkImageMagnify | ( |  | ) | `[protected]`

vtkImageMagnify::~vtkImageMagnify | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkImageMagnify.h.

## Member Function Documentation

vtkImageMagnify* vtkImageMagnify::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageMagnify::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageMagnify::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageMagnify::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageMagnify* vtkImageMagnify::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageMagnify::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageMagnify::SetMagnificationFactors | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the integer magnification factors in the i-j-k directions.

virtual void vtkImageMagnify::SetMagnificationFactors | ( | int | [3] | ) | `[virtual]`

| Set/Get the integer magnification factors in the i-j-k directions.

virtual int* vtkImageMagnify::GetMagnificationFactors | ( |  | ) | `[virtual]`

| Set/Get the integer magnification factors in the i-j-k directions.

virtual void vtkImageMagnify::GetMagnificationFactors | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the integer magnification factors in the i-j-k directions.

virtual void vtkImageMagnify::GetMagnificationFactors | ( | int | [3] | ) | `[virtual]`

| Set/Get the integer magnification factors in the i-j-k directions.

virtual void vtkImageMagnify::SetInterpolate | ( | int |  | ) | `[virtual]`

| Turn interpolation on and off (pixel replication is used when off).

virtual int vtkImageMagnify::GetInterpolate | ( |  | ) | `[virtual]`

| Turn interpolation on and off (pixel replication is used when off).

virtual void vtkImageMagnify::InterpolateOn | ( |  | ) | `[virtual]`

| Turn interpolation on and off (pixel replication is used when off).

virtual void vtkImageMagnify::InterpolateOff | ( |  | ) | `[virtual]`

| Turn interpolation on and off (pixel replication is used when off).

void vtkImageMagnify::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageMagnify::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageMagnify::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 80 of file vtkImageMagnify.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageMagnify::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageMagnify::MagnificationFactors[3]`[protected]`

| Definition at line 76 of file vtkImageMagnify.h.

int vtkImageMagnify::Interpolate`[protected]`

| Definition at line 77 of file vtkImageMagnify.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMagnify.h